<?php if(!defined('IS_CMS')) die();
 
/**
 * Plugin:   TwitterTimeline
 * @author:  Marusti WebDesign info@marusti.com
 * @version: vBeta1.2019-01-16
 * @license: GPL
 *
**/
 
class TwitterTimeline extends Plugin {
 
  public $admin_lang;
  private $cms_lang;
 
  function getContent($value) {
 
    global $CMS_CONF;
   
    // initialize return content
    $content = '<a class="twitter-timeline" data-theme="' . $this->settings->get('twitter_theme') . '" data-width="' . $this->settings->get('twitter_timeline_width') . '" data-height="' . $this->settings->get('twitter_timeline_height') . '" href="https://twitter.com/' . $this->settings->get('twitter_user_name') . '?ref_src=twsrc%5Etfw">Tweets by ' . $this->settings->get('twitter_user_name') . '</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>';
 
    // do something awesome here!
 
    return $content;
  }
 
 
  function getConfig() {
 
    $config = array();
 
    // twitter_user_name
    $config['twitter_user_name']  = array(
      'type' => 'text',
      'description' => $this->admin_lang->getLanguageValue('config_twitter_user_name'),
      'maxlength' => '100',
    );

    // theme
    $config['twitter_theme']  = array(
      'type' => 'radio',
      'description' => $this->admin_lang->getLanguageValue('config_twitter_theme'),
      'descriptions' => array(
        'light' => $this->admin_lang->getLanguageValue('config_twitter_theme_light'),
        'dark' => $this->admin_lang->getLanguageValue('config_twitter_theme_dark')
      )
    );

    // timeline height
    $config['twitter_timeline_height']  = array(
      'type' => 'text',
      'description' => $this->admin_lang->getLanguageValue('config_twitter_timeline_height'),
      'maxlength' => '3',
      'size' => '5',
      'regex' => "/^[0-9]{2,3}$/",
      'regex_error' => $this->admin_lang->getLanguageValue('config_twitter_timeline_height_error')
    );

    // timeline width
    $config['twitter_timeline_width']  = array(
      'type' => 'text',
      'description' => $this->admin_lang->getLanguageValue('config_twitter_timeline_width'),
      'maxlength' => '3',
      'size' => '5',
      'regex' => "/^[0-9]{2,3}$/",
      'regex_error' => $this->admin_lang->getLanguageValue('config_twitter_timeline_width_error')
    );
 
 
    return $config;
  }
 
 
  function getInfo() {
 
    global $ADMIN_CONF;
 
    $this->admin_lang = new Language(PLUGIN_DIR_REL . 'TwitterTimeline/sprachen/admin_language_' . $ADMIN_CONF->get('language') . '.txt');
 
    $info = array(
      // plugin name and version
      '<b>Twitter Timeline</b> vBeta1',
      // moziloCMS version
      '2.0',
      // short description, only <span> and <br /> are allowed
      $this->admin_lang->getLanguageValue('description'), 
      // author
      'Marusti WebDesign',
      // documentation url
      'https://www.marusti.com',
      // plugin tag for select box when editing a page, can be emtpy
      array(
        '{TwitterTimeline}' => $this->admin_lang->getLanguageValue('placeholder'),
      )
    );
 
    return $info;
  }
}
 
?>

